package com.sun.org.apache.xml.internal.serializer;

import java.io.OutputStream;
import java.io.Writer;
import java.io.IOException;

interface WriterChain
{
    public abstract void write(int p0) throws IOException;
    
    public abstract void write(char[] p0) throws IOException;
    
    public abstract void write(char[] p0, int p1, int p2) throws IOException;
    
    public abstract void write(String p0) throws IOException;
    
    public abstract void write(String p0, int p1, int p2) throws IOException;
    
    public abstract void flush() throws IOException;
    
    public abstract void close() throws IOException;
    
    public abstract Writer getWriter();
    
    public abstract OutputStream getOutputStream();
}
